
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何在运行时确定对象类型（RTTI） / iVAN</title>

    <meta name="description" content="如何在运行时确定对象类型（RTTI） RTTI 是&quot;Runtime Type Information&quot;的缩写,意思是:运行时类型信息. 它提供了运行时确定对象类型的方法.本文将简略介绍 RTTI 的一些背景知识.描述 RTTI 的概念,并通过具体例子和代码介绍什么时候使用以及如何使用 RTTI:本文还将详细描述两 个重要的 RTTI 运算符的使用方法,它们是 typeid 和 dynamic_cast. 其实,RTTI 在C++中并不是什么新的东西,它早在十多年以前就已经出现了.但是大多数 开发人员,包括许多高层 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何在运行时确定对象类型（RTTI）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>RTTI 是“Runtime Type Information”的缩写，意思是：运行时类型信息。 它提供了运行时确定对象类型的方法。本文将简略介绍 RTTI 的一些背景知识、描述 RTTI 的概念，并通过具体例子和代码介绍什么时候使用以及如何使用 RTTI；本文还将详细描述两 个重要的 RTTI 运算符的使用方法，它们是 typeid 和 dynamic_cast。</p>
<p>其实，RTTI 在C++中并不是什么新的东西，它早在十多年以前就已经出现了。但是大多数 开发人员，包括许多高层次的C++程序员对它并不怎么熟悉，更不用说使用 RTTI 来设计和编 写应用程序了。</p>
<p>一些面向对象专家在传播自己的设计理念时，大多都主张在设计和开发中明智地使用虚拟 成员函数，而不用 RTTI 机制。但是，在很多情况下，虚拟函数无法克服本身的局限。每每 涉及到处理异类容器和根基类层次（如 MFC）时，不可避免要对对象类型进行动态判断，也 就是动态类型的侦测。如何确定对象的动态类型呢？答案是使用内建的 RTTI 中的运算符： typeid 和 dynamic_cast。</p>
<p>首先让我们来设计一个类层次，假设我们创建了某个处理文件的抽象基类。它声明下列纯 虚拟函数：open()、close()、read()和 write()：<code>class File<br />
{<br />
public:<br />
virtual int open(const string &amp; filename)=0;<br />
virtual int close(const string &amp; filename)=0;<br />
//<br />
virtual ~File()=0; // 记住添加纯虚拟析构函数（dtor）<br />
};</code></p>
<p>现在从 File 类派生的类要实现基类的纯虚拟函数，同时还要提供一些其他的 操作。假设派生类为 DiskFile，除了实现基类的纯虚拟函数外，还要实现自己的flush()和 defragment()操作：<code>class DiskFile: public File<br />
{<br />
public:<br />
int open(const string &amp; filename);<br />
// 实现其他的纯虚拟函数<br />
　　......<br />
// 自己的专有操作<br />
virtual int flush();<br />
virtual int defragment();<br />
};</code></p>
<p>接着，又从 DiskFile 类派生两个类，假设为 TextFile 和 MediaFile。前者 针对文本文件，后者针对音频和视频文件：<code>class TextFile: public DiskFile<br />
{<br />
　// ......<br />
　int　sort_by_words();<br />
};<br />
class MediaFile: public DiskFile<br />
{<br />
　//......<br />
};</code></p>
<p>我们之所以要创建这样的类层次，是因为这样做以后可以创建多态对象，如：</p>
<p><code>File *pfile; // *pfile的静态类型是 File<br />
if(some_condition)<br />
　pfile = new TextFile; // 动态类型是 TextFile<br />
else<br />
　pfile = new DiskFile; // 动态类型是 DiskFile</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 12:47:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81/" title="动态">动态</a>, <a href="https://www.iamivan.net/tag/rtti/" title="rtti">rtti</a>, <a href="https://www.iamivan.net/tag/virtual/" title="virtual">virtual</a>, <a href="https://www.iamivan.net/tag/rtti%e6%9c%ba%e5%88%b6/" title="RTTI机制">RTTI机制</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何在运行时确定对象类型（RTTI）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NqZmz.html" rel="bookmark">&lbrack;开发故事&rsqb;第四回：应用反射在运行时动态获取类型信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 网友hbfly,对于我在[你必须知道的.NET]第三十回:.NET十年(下)一文中 关于&quot;当应用attribute进行运行时反射&quot;的论述,希望举例说明,他提出了自己 的想法:[你必须知道的.NET]第二十四回:认识元数据和IL(上)[你必须知道的.NET]第二十五回:认识元数据和IL(中)[你必须知道的.NET]第二十六回:认识元数据和IL(下) [MyAttribute(&quot;text.....&quot;)] public mymethod() { //我可以再方法内部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQaj1z.html" rel="bookmark">Javascript数字大小比较时警惕对象类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过js获取页面两个数字输入框的值,并对其进行大小比较.此时出来的结果可能让你迷惑不解,例如代码:  代码如下 复制代码 var v1 = $('#input1').val(); var v2 = $('#input2').val(); alert(v1 &gt; v2); 假如input1中输入10,input2中输入2.10肯定是大于2的,所以上面的alert框应该弹出true,但实际上给出的是false.原因何在?对应数字10大于2是毫无疑问的,如果是作为字符串比较,那么结果刚好相反.而上述从页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QLv4M.html" rel="bookmark">网页运行时提示对象不支持abigimage属性或方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一个网页中用了一个js插件, js文件引用的没有错,代码也和demo差不多, 但是运行时ie的调试工具报了一个错: 解决方案: jquery文件冲突,发现原来自己引过一个 &lt;script src=&quot;js/jquery-1.11.0.min.js&quot;&gt;&lt;/script&gt; , 这里又引入了一个 &lt;script type=&quot;text/javascript&quot; src=&quot;js/jquery-2.0.3.min.js&quot;&gt;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmnNOp.html" rel="bookmark">举例讲解Java的RTTI运行时类型识别机制&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.RTTI:运行时类型信息可以让你在程序运行时发现和使用类型信息. 在Java中运行时识别对象和类的信息有两种方式:传统的RTTI,以及反射.下面就来说下RTTI. RTTI:在运行时,识别一个对象的类型.但是这个类型在编译时必须已知. 下面通过一个例子来看下RTTI的使用.这里涉及到了多态的概念:让代码只操作基类的引用,而实际上调用具体的子类的方法,通常会创建一个具体的对象(Circle,Square,或者Triangle,见下例),把它向上转型为Shape(忽略了对象的具体类型),并在后面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmJ3ab.html" rel="bookmark">在spring管理的类如何在运行时取得泛型的类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用hibernate+spring写的一个BaseDaoSupport.我的做法是定义一个IBaseDaoSupport接口,该接口里面定义了一些公共的操作数据方法. 提供了两种实现方式,一个是按照hibernate自己的实现方式,一个是继承了spring的hibernateDaoSupport,并提供了自己的实现方法.这两个方法都要实现IBaseDaoSupport接口,然后有一个BaseDaoSupport类,该类也要实现IBaseDaoSupport接口,并在里面定义IBase			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP89ZZp.html" rel="bookmark">iOS学习之Objective-C 2&period;0 运行时系统编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0 导言 本主主要内容包括: 1.概述 2.参考 3.运行时系统的版本和平台 4.和运行时系统的交互 5.消息 6.动态方法解析 7.消息转发 8.类型编码 9.属性声明 1 概述 Objective-C语言将决定尽可能的从编译和链接时推迟到运行时.只要有可能,Objective-C总是使用动态的方式来解决问题.这意味着Objective-C语言不仅需要一个编译器,同时也需要一个运行时系统来执行编译好的代码.这里的运行时系统扮演的角色类似于 Objective-C语言的操作系统,Objectiv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lkqrb.html" rel="bookmark">WCF服务端运行时架构体系详解&lbrack;下篇&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为WCF中一个核心概念,终结点在不同的语境中实际上指代不同的对象.站在服务描述的角度,我们所说的终结点实际上是指ServiceEndpoint对象.如果站在WCF服务端运行时框架来说,终结点实际上指代的是终结点分发器(EndpointDispatcher).而ServiceEndpoint与EndpointDispatcher是一一匹配的,并且前者是创建后者的基础.而终结点分发器具有自己的运行,即分发运行时(DispatchRuntime). 目录 一.终结点分发器(EndpointDispa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NElYM.html" rel="bookmark">WCF客户端运行时架构体系详解&lbrack;上篇&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户端调用WCF服务的方式不外乎有两种:其一.通过代码生成工具(比如SvcUtil.exe)导入服务的元数据生成服务代理相关的类型:其二.通过ChannelFactory&lt;TChannel&gt;创建服务代理对象.对于前者,生成的服务代理是一个继承自ClientBase&lt;TChannel&gt;的类型.对于这样一个服务代理对象,其内部本质上还是借助于ChannelFactory&lt;TChannel&gt;创建真正用于进行服务调用的代理对象.对于WCF客户端应用编程接口来说,ChannelF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYwKwez.html" rel="bookmark">Java进阶教程之运行时类型识别RTTI机制&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				运行时类型识别(RTTI, Run-Time Type Identification)是Java中非常有用的机制,在Java运行时,RTTI维护类的相关信息. 多态(polymorphism)是基于RTTI实现的.RTTI的功能主要是由Class类实现的. Class类 Class类是&quot;类的类&quot;(class of classes).如果说类是对象的抽象和集合的话,那么Class类就是对类的抽象和集合. 每一个Class类的对象代表一个其他的类.比如下面的程序中,Class类的对象c1代			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze688b.html" rel="bookmark" class="title">Hadoop 三台主机 集群搭建 详解（测试）</a>
					<div>
						Hadoop 三台主机 集群搭建 详解 学习更多,请访问系列文章: 1. VMware Redhat网络配置 2. Hadoop 三台主机 集群搭建 详解 3. Windows 下配置 Eclipse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAAeZM.html" rel="bookmark" class="title">转&Tab;解析Nutch插件系统</a>
					<div>
						一. 在Nutch的插件体系架构下,有些术语需要解释    1.扩展点(ExtensionPoint )       扩展点是系统中可以被再次扩展的类或者接口,通过扩展点的定义,可以使得系统的执行过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnRyrp.html" rel="bookmark" class="title">PS外景婚纱照片清新效果后期调色二次构图技巧教程</a>
					<div>
						图/文王永亮 摄影/赵亮 化妆/黄惠 构图知识在人像摄影中的应用已经成为比不可少的部分,只要是摄影师就应该知道如何将构图知识运用到人像的拍摄中.但是随着摄影技术的发展,数码摄影 已经占领了摄影领域的主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnyPoM.html" rel="bookmark" class="title">高亮久&colon;seo三大帮派 你属于哪一派</a>
					<div>
						俗话说,天下大势合久必分,分久必合.在seo江湖上,经过这几年的发展,虽然没有人去刻意拉帮结派,依然有小团体也逐渐形成很多,从大环境来看,业已分成三大帮派.尽管被划为同一帮派的seoer之间可能联系还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boGqEb.html" rel="bookmark" class="title">VBS、ASP代码语法加亮显示的类&lpar;1&rpar;</a>
					<div>
						显示|语法 &lt;% Class cBufferPrivate objFSO, objFile, objDictPrivate m_strPathToFile, m_TableBGColor, m_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKrKdz.html" rel="bookmark" class="title">谈PHP 闭包特性在实际应用中的问题</a>
					<div>
						PHP5.3 新版本跟随了很多新特性, 其中比较惹眼的特性之一就是支持了闭包.那么以后,我们也可以和那帮写 Ruby.Javascript 等等高科技语言的家伙们一样,写出非常酷的代码吗?呃,其实大部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwYDRM.html" rel="bookmark" class="title">Illustrator绘制卡通风格的草丛</a>
					<div>
						本例我们介绍用Illustrator绘制矢量草丛的效果,方法很简单,效果也不错,可以为大家节省时间,效果如下图1.文章末尾提供.ai原文件供大家下载参考. 本例我们介绍用Illustrator绘制矢量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKXqWp.html" rel="bookmark" class="title">高端UTM频繁推出 网关安全酝酿变革</a>
					<div>
						近一个时期以来,很多传统的UTM厂商频频发布高端产品--先有SonicWALL发布4G产品,后有业内老大Fortinet抛出26G的顶级UTM.有分析人士指出,高性能UTM的出现并非朝夕,这是安全厂商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4nxwp.html" rel="bookmark" class="title">为什么Excel单元格中文字显示不全</a>
					<div>
						问:Excel单元格设置没有问题,为什么文字显示不全 答:是数字还是文字??如果是数字的话可能单元格格式要调整一下,把精度提高点 文字显示不全的,是不是楼主单元格显示#NAME?,也许是被右侧单元格遮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK499p.html" rel="bookmark" class="title">WPS怎么在文章中局部式的分栏</a>
					<div>
						  WPS怎么在文章中局部式的分栏 1.打开一篇WPS文字中的一篇原始文稿,选中要进行分栏的区域文字,然后把鼠标切换到&quot;功能区&quot;的&quot;格式&quot;选项卡,在弹出的下拉菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKgj9p.html" rel="bookmark" class="title">php中Curl函数常用的两个例子</a>
					<div>
						  例子, 模拟登陆  代码如下   /** * 模拟登陆 * $url 请求地址 * $post 需要POST的数据 * $cookie 登陆时取的的COOKIE * $cookiejar cook ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj2myb.html" rel="bookmark" class="title">卡拉OK字幕制作软件教程</a>
					<div>
						一.什么是KBuilder KBuilder是一套用于生成卡拉OK字幕视频素材的工具.利用该工具生成卡拉OK字幕脚本后,通过视频编辑软件将其它与视音频素材一起加工处理,最终可以制作出令人激动的卡拉OK ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eodNb.html" rel="bookmark" class="title">MTS是什么格式文件</a>
					<div>
						  MTS是什么格式文件? mts文件即是后缀名为mts的一种视频文件.mts格式是一种新兴的高清视频格式.索尼高清DV录制的视频,常常是这种格式,其视频编码通常采用H264,音频编码采用AC-3,分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badOvmz.html" rel="bookmark" class="title">开机后没有显示</a>
					<div>
						  电脑正常启动后,CPU风扇已经运转,显示器却提示没有信号输入. 出现这种故障一般是由于主板损坏或者CIH病毒破坏了BIOS造成的.一般BIOS被病毒破坏后,硬盘中的数据将会全部丢失,可以通过检测硬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwarqp.html" rel="bookmark" class="title">更便捷的QQ旋风2&period;0正式版收藏小技巧</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   QQ旋风2是腾讯公司08年底推出的新一代互联网下载工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr6WrM.html" rel="bookmark" class="title">PHP模板解析类实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP模板解析类.分享给大家供大家参考.具体如下: &lt;?php class template { private $vars = array(); private $conf =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6DJ8b.html" rel="bookmark" class="title">uml建模语言-uml中的关系都有什么别名</a>
					<div>
						问题描述 uml中的关系都有什么别名 最近刚学了uml,其中有五个关系:依赖,关联,聚合,泛化,实现.这五个关系是否还有别的名字表达,比如包含,他和上面那个关系是对等的 解决方案 (1).用例图:展示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK87Oz.html" rel="bookmark" class="title">如何和软件项目客户打交道</a>
					<div>
						项目经理需要干的3件事--控制.调配和缓冲. 控制:控制客户与突发事件. 调配:调配 时间.资源.需求之间的三角关系. 缓冲:分解压力,在需求方和工程师之间充当沟通桥梁(这两种人虽然都会说中国话,但在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1raqrp.html" rel="bookmark" class="title">分享我从事外贸行业多年的一些经验技巧</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 大家都知道外贸属于暴利行业.到底有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z1JgM.html" rel="bookmark" class="title">使用Java设置字型和颜色的方法详解&lowbar;java</a>
					<div>
						Java绘图中,显示文字的方法主要有三种: (1)drawString(String str,int x,int y):在指定的位置显示字符串. (2)drawChars(char data[],in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA4VEb.html" rel="bookmark" class="title">巧妙去除Flash动画在线播放限制</a>
					<div>
						笔者非常喜欢听任贤齐演唱的歌曲&quot;浪花一朵朵&quot;,在朋友家看到配有该歌曲的swf动画,里面的三国人物与剧情和歌曲的配合得非常好,整个MTV浑然一体,绝对是个经典的搞笑小品!于是急忙回家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqm24b.html" rel="bookmark" class="title">泡沫退去 看中国大数据四大如何锁定商业模式</a>
					<div>
						马云在三年前卸任阿里巴巴CEO时说:这是一个变化太快的时代,有人还没搞清楚PC,移动互联网来了;还没搞清楚移动互联网,大数据时代来了.现在三年过去了,马云纽交所敲钟归来,阿里巴巴成为全球第二的电商巨头 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjDEGM.html" rel="bookmark" class="title">ajax请求action后&comma;数据存放在session中&comma;jsp页面通过el获取数据&comma;可是第一次登录总</a>
					<div>
						问题描述 ssh项目中,我需要登陆某个页面(如a.jsp),通过onload来触发js函数(函数是ajax请求)请求到相应的action,处理完成后将数据存放到session对象里面,然后在a.jsp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL4GYM.html" rel="bookmark" class="title">在Ubuntu上为Android系统的Application Frameworks层增加硬件访问服务</a>
					<div>
						    在数字科技日新月异的今天,软件和硬件的完美结合,造就了智能移动设备的流行.今天大家对iOS和Android系统的趋之若鹜,一定程度上是由于这两个系统上有着丰富多彩的各种应用软件.因此,软件和硬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M127jap.html" rel="bookmark" class="title">if &lpar;P&lowbar;int&lowbar;current &equals;&equals; 0 &vert;&vert; P&lowbar;int&lowbar;current &amp;amp&semi;amp&semi;gt&semi; 20&rpar;高人帮忙解答下</a>
					<div>
						问题描述 if(P_int_current==0||P_int_current&gt;20)这句如何理解?=============================================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baByrqM.html" rel="bookmark" class="title">Loadrunner11无法启动IE的解决办法</a>
					<div>
						最近安装了loadrunner 11 想录制一个脚本,但是在录制的时候总是无法打开IE浏览器,现象表现为Recording(0 events),在网上找了很多资料有的可以有的不可以,在这里我把我找到的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL58RAz.html" rel="bookmark" class="title">android如何自定义TextView详解</a>
					<div>
						Android控件中的TextView控件只有一个输入框,但是为了用于的操作方便我们应该实现一些功能: 1. 可以直接将内容删除的功能按钮 2. 可以记录用户以前输入的数据,同时能够将数据通过下拉显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1wRWb.html" rel="bookmark" class="title">Android RenderScript实现高斯模糊&lowbar;Android</a>
					<div>
						昨天看了下RenderScript的官方文档,发现RenderScript这厮有点牛逼.无意中发现ScriptIntrinsic这个抽象类,有些很有用的子类.其中有个子类叫ScriptIntrinsi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QekBp.html" rel="bookmark" class="title">php过滤所有的空白字符（空格、全角空格、换行等）&lowbar;php技巧</a>
					<div>
						在php中自带的trim函数只能替换左右两端的空格,感觉在有些情况下不怎么好使,如果要将一个字符串中所有空白字符过滤掉(空格.全角空格.换行等),那么我们可以自己写一个过滤函数. php学习str_r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW2Xkz.html" rel="bookmark" class="title">JavaScript获取DOM元素的11种方法总结&lowbar;javascript技巧</a>
					<div>
						在Web应用程序特别是Web2.0程序开发中,经常要获取页面中某个元素,然后更新该元素的样式.内容等.如何获取要更新的元素,是首先要解决的问题.令人欣慰的是,使用JavaScript获取节点的方法有很 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
